Summary:	Xfce plugin which displays the current system load
Summary(pl.UTF-8):	Wtyczka Xfce wyświetlająca aktualne obciążenie systemu
Name:		xfce4-systemload-plugin
Version:	1.1.1
Release:	3
License:	BSD-like (see COPYING)
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/1.1/%{name}-%{version}.tar.bz2
# Source0-md5:	22d48c0883f9d598bce24e81d93e692e
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A system load plugin for the Xfce desktop environment. It displays the
current CPU load, the memory in use, the swap space and the system
uptime in the Xfce panel.

%description -l pl.UTF-8
Wtyczka obciążenia systemu dla środowiska Xfce. Wyświetla obecne
obciążenie procesora, użycie pamięci, pliku wymiany i czasu pracy
systemu w panelu Xfce.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop
%changelog
* Wed Sep 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-systemload-plugin.git;a=log;h=master

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84ef3b3
- upower rebuild
- release 3 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> 6f22cf3
- release 2 (by relup.sh)

* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> f8b16d6
- Updated to 1.1.1

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3fb7664
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ed13392
- up to 1.1.0

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> e87d9d7
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3d5abb9
- updated to 1.0.0

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ae2dd11
- drop obsolete files

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> e2078c4
- BR: intltool

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> 5e4716b
- fixed build by adding %{__intltoolize}
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4c668f3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 423031c
- converted to UTF-8

* Thu Jan 25 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 6e19cc2
- updated URL
- missing BR: xfce4-dev-tools

* Tue Jan 23 2007 Jakub Krajniak <jkrajniak@gmail.com> 8ee1d0d
- up to 0.4.2 (for xfce 4.4.0)

* Wed Jun 08 2005 zbyniu <zbyniu@pld-linux.org> a7a7468
- BR: gettext-devel

* Wed Mar 09 2005 havner <havner@pld-linux.org> 41dfa56
- rel up for rebuild with xfce 4.2

* Sun Feb 27 2005 Michal Chruszcz <mchruszcz@gmail.com> 834298b
- release 1, STBR

* Mon Feb 07 2005 petec <petec@pld-linux.org> 71c079c
- updated to 0.3.6
- Source1 isn't available, probably not needed

* Wed Dec 22 2004 Michal Chruszcz <mchruszcz@gmail.com> f04f707
- seems that authors changed their mind regarding the name, unifications

* Sat Nov 27 2004 havner <havner@pld-linux.org> 4f57bef
- rel up for rebuild with xfce4

